%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Unicode-MapUTF8

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Unicode::MapUTF8 - Conversions to and from arbitrary character sets and UTF8
Name:		perl-%{perlname}
Version:	1.11
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Unicode+MapUTF8
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion} 
BuildRequires:	perl = %{perlepoch}:%{perlversion} 
BuildRequires:	perl-Jcode perl-Unicode-Map perl-Unicode-Map8 perl-Unicode-String

%description
Provides an adapter layer between core routines for converting
to and from UTF8 and other encodings. In essence, a way to give
multiple existing Unicode modules a single common interface so
you don't have to know the underlaying implementations to do
simple UTF8 to-from other character set string conversions.
As such, it wraps the Unicode::String, Unicode::Map8,
Unicode::Map and Jcode modules in a standardized and simple
API.

Mainly intended for use with Perl 5.6 and 5.0 since starting
with Perl 5.8 the Encode modules are the preferred way of
handling character set encodings.

For more details see: http://search.cpan.org/search?module=Unicode+MapUTF8

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.11-2
- Rebuild against perl 5.10.0
* Sat Nov 25 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.11-1
- Initial Release
